Subject: Metal Toxicity and Plants

From: James Cracknell <[email-masked]>
Date: Sun, 29 Oct 1995 21:42:41 +0000

I am conducting a literature research into Toxic Metals in Plants - If 
anyone can offer me any help eg. references - Sources on the Net etc - 
I'd be extremley grateful.

Please reply via e-mail straight to me,

cheers

James

James - <[email-masked]>                Finger Info: [email-masked]

     | James Cracknell - http://www.aber.ac.uk/~jgc3 - [email-masked]
     |  _` | __ `__ \   _ \  __|       No. 7 Pentre Jane Morgan
 \   | (   | |   |   |  __/\__ \      Prifysgol Cymru, Aberystwyth
\___/ \__,_|_|  _|  _|\___|____/  Penglais, Aberystwyth, Dyfed SY23 3JJ UK
  Dept: Sefydliad y Gwyddorau Biolegol/Institute of Biological Sciences